Skip to content

MessagesController_searchGiphy

POST
/api/chat/streams/{streamId}/giphy/search
curl --request POST \
--url https://api.streams-ai.com/api/chat/streams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/giphy/search \
--header 'Content-Type: application/json' \
--data '{ "prompt": "example", "excludeIds": [ "example" ], "offset": 1 }'
streamId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
prompt
required
string
>= 1 characters <= 200 characters
excludeIds
Array<string>
<= 100 items
offset
integer
<= 499
Examplegenerated
{
"prompt": "example",
"excludeIds": [
"example"
],
"offset": 1
}